# https://sourceforge.net/projects/ffmulticonv/files/ffmulticonverter-1.8.0.tar.gz

Name:           ffmulticonverter
Version:        1.8.0
Release:        %mkrel 8
Summary:        FF Multi Converter

License:        GPLv3
Group:          Video
URL:            https://sites.google.com/site/ffmulticonverter/
Source0:        %{name}-%{version}.tar.xz

BuildArch:      noarch
BuildRequires:  desktop-file-utils
BuildRequires:  ImageMagick
BuildRequires:  python3-devel
BuildRequires:  python3-setuptools
Requires:       ffmpeg
Requires:       ImageMagick
Requires:       python3-qt5
Requires:       unoconv
Requires:       python3-pyqt5-sip

%description
A simple graphical application which enables you to convert audio,
video, image and document files between all popular formats, using
and combining other programs. It uses ffmpeg for audio/video files,
unoconv for document files and PythonMagick library for image file
conversions. The application is written in python and PyQt.

%prep
%setup -q
convert share/%{name}.png -resize 48 share/%{name}.png

%build
%py3_build

%install
%py3_install
%py_byte_compile %{__python3} %{buildroot}%{python3_sitelib}
desktop-file-install \
  --vendor="" \
  --remove-category="Application" \
  --add-category={"X-MandrivaLinux-Multimedia-Video","X-MandrivaLinux-Multimedia-Sound"} \
  --dir %{buildroot}%{_desktopdir} %{buildroot}%{_desktopdir}/*

%files
%defattr(-,root,root)
%doc AUTHORS ChangeLog COPYING README.txt TRANSLATORS PKG-INFO
%{_bindir}/%{name}
%{python3_sitelib}/*
%{_desktopdir}/%{name}.desktop
%{_datadir}/%{name}
%{_mandir}/man1/%{name}.*
%{_datadir}/pixmaps/%{name}.png


%changelog
* Mon Apr 24 2023 tex - 1.8.0-8pclos2023
- rebuild against updates

* Mon Aug 22 2022 tex - 1.8.0-7pclos2022
- rebuild against updates

* Sun Aug 21 2022 TerryN <terryn94 at gmail.com> 1.8.0-6pclos2022
- rebuild for python 3.10
